#!/bin/bash

printf "%s\0" "5cc89ccd37a6a2ed7e3037c57c9da138cda48b438e93c2935653f2e718db69c0" | ecryptfs-insert-wrapped-passphrase-into-keyring ~/.ecryptfs/wrapped-passphrase
#printf "%s\0" "824d2f451d112e3b8aa5a086eadfccf26ba95187dbfec9c5319920051d01b193" | ecryptfs-insert-wrapped-passphrase-into-keyring ~/.ecryptfs/wrapped-passphrase
return_code=$?

if [[ $return_code != 0 ]]; then
    echo ""
    echo "Your local eCryptFS encrypted private directory is not set up properly. Please correct this and try again."
    exit $return_code
fi

# Mount the local encrypted dir
mount.ecryptfs_private

# Remove any leftover files just in case
sudo -S rm -rf ~/Private/*

# Move control point software to local encrypted dir
sudo -S cp -r /media/bone_install-rootfs/home/root/amp/ ~/Private/
sudo -S cp -r ~/Private/amp/* ~/Private/
sudo -S rm -r ~/Private/amp
sudo -S rm -rf /media/bone_install-rootfs/home/root/amp/
sudo -S mkdir /media/bone_install-rootfs/home/root/amp/

#find ~/.Private/
# Unmount local encrypted dir
sync
umount.ecryptfs_private
#find ~/.Private/
# Move encrypted files to SD card
sudo -S mkdir /media/bone_install-rootfs/home/root/.Private
sudo -S cp -r ~/.Private/* /media/bone_install-rootfs/home/root/.Private/
sudo -S rm -rf ~/.Private/*
