#!/bin/sh

printf "%s\0" "5cc89ccd37a6a2ed7e3037c57c9da138cda48b438e93c2935653f2e718db69c0" | ecryptfs-insert-wrapped-passphrase-into-keyring /home/root/.ecryptfs/wrapped-passphrase
return_code=$?

if [[ $return_code != 0 ]]; then
    echo ""
    echo "Your local eCryptFS encrypted private directory is not set up properly. Please correct this and try again."
    exit $return_code
fi

# Mount the local encrypted dir
mount.ecryptfs_private

# Remove any leftover files just in case
rm -rf /home/root/Private/*


# Move control point software to local encrypted dir
cp -r /media/bone_install-rootfs/home/root/amp/ /home/root/amp/
cp -r /home/root/amp/amp/* /home/root/amp/
rm -r /home/root/amp/amp
rm -rf /media/bone_install-rootfs/home/root/amp/
mkdir /media/bone_install-rootfs/home/root/amp/

# Unmount local encrypted dir
sync
sleep 10
mounted=true
while [[ $mounted == true ]]; do
    umount.ecryptfs_private
    return_code=$?

    if [[ $return_code == 0 ]]; then
        mounted=false
    fi
done
# Move encrypted files to SD card
mkdir /media/bone_install-rootfs/home/root/.Private
cp -r /home/root/.Private/* /media/bone_install-rootfs/home/root/.Private/
rm -rf /home/root/.Private/*
