#!/bin/bash

RANGE=255


#numbers=($RANDOM $RANDOM $RANDOM $RANDOM $RANDOM $RANDOM)

for i in {0..6}
do
    numbers[i]=$RANDOM
    let "numbers[i] %= $RANGE"
    byte[i]=`echo "obase=16;$((numbers[i]))" | bc`
    printf -v byte[i] "%02X" 0x${byte[i]}
done

mac="${byte[0]}-${byte[1]}-${byte[2]}-${byte[3]}-${byte[4]}-${byte[5]}"

echo $mac

echo "upnp_friendly_name Boulder_Amplifiers_Amplifier_$(($RANDOM%$RANGE))" >> $1
echo "product_room DefaultRoomName" >> $1
echo "mac $mac" >> $1
echo "upnp_uuid $(uuidgen)" >> $1
echo "right_version 2100" >> $1
echo "left_version 2100" >> $1
echo "right_mono true" >> $1
echo "left_mono true" >> $1
